跳转到内容

Read the application effective adjudication strategy, model constraints and matching evidence

GET
/v1/apps/{id}/adjudication
curl --request GET \
--url https://api.tansr.com/v1/apps/example/adjudication
id
required
string

Effective application adjudication

Media typeapplication/json
object
adjudication
required
object
policyEnabled
required
boolean
activeProfileId
required
Any of:
string
profile
required
Any of:
null
selection
required
object
activeProfileId
required
Any of:
string
available
required
Array<object>
object
id
required
string
name
required
string
scope
required
Any of:
string
Allowed value: user
modelHandle
required
Any of:
string
tier
required
Any of:
string
canInherit
required
boolean
appliesToApplications
required
boolean
model
required
object
locked
required
boolean
reason
required
Any of:
null
boundModelHandle
required
Any of:
string
primary
required
Any of:
string
backup
required
Any of:
string
source
required
string
diagnostics
required
Array<string>
budgets
required
object
escalation
required
object
tier
required
Any of:
string
callBudget
required
Any of:
integer
>= 1
evidence
required
object
primary
required
object
modelHandle
required
Any of:
string
app
required
object
protocolState
required
string
Allowed value: not_checked
status
required
Any of:
string
Allowed value: matched
report
required
Any of:
null
coding
required
object
protocolState
required
string
Allowed value: not_checked
status
required
Any of:
string
Allowed value: matched
report
required
Any of:
null
backup
required
object
modelHandle
required
Any of:
string
app
required
object
protocolState
required
string
Allowed value: not_checked
status
required
Any of:
string
Allowed value: matched
report
required
Any of:
null
coding
required
object
protocolState
required
string
Allowed value: not_checked
status
required
Any of:
string
Allowed value: matched
report
required
Any of:
null
Example
{
"adjudication": {
"profile": {
"source": "organization_policy"
},
"selection": {
"available": [
{
"scope": "user"
}
]
},
"model": {
"reason": "fixed_profile_model"
},
"evidence": {
"primary": {
"app": {
"protocolState": "not_checked",
"status": "matched",
"report": {
"protocol": "app"
}
},
"coding": {
"protocolState": "not_checked",
"status": "matched",
"report": {
"protocol": "app"
}
}
},
"backup": {
"app": {
"protocolState": "not_checked",
"status": "matched",
"report": {
"protocol": "app"
}
},
"coding": {
"protocolState": "not_checked",
"status": "matched",
"report": {
"protocol": "app"
}
}
}
}
}
}

Application not found in this owner scope

Media typeapplication/json
object
error
required
object
code
required

错误码注册表单源派生(src/http/errors.ts ERROR_CODES;码稳定,消费方按码翻译)

string
Allowed values: adjudicator_not_authorized admin_forbidden admin_key_invalid app_disabled app_ip_denied app_key_invalid approval_self_forbidden asr_not_configured asr_quota_exceeded auth_channel_undelivered bad_request conflict content_blocked context_window_exceeded currency_not_supported device_code_denied device_code_expired device_code_pending device_code_slow_down egress_blocked endpoint_disabled envelope_key_undelivered fence_denied forbidden idempotency_conflict idp_untrusted image_not_supported imagegen_not_configured imagegen_quota_exceeded insufficient_balance internal_error invalid_api_key license_required limit_exceeded liquidation_not_enabled model_not_authorized model_not_found nonce_replayed not_found operation_input_invalid operation_not_configured order_state_invalid org_byok_not_available org_ceiling_exceeded otp_invalid otp_rate_limited pay_amount_mismatch pay_channel_undelivered pay_signature_invalid payload_too_large payment_required plan_apps_exceeded plan_concurrency_exceeded plan_end_users_exceeded plan_gate_unavailable plan_members_exceeded plan_required plan_tier_insufficient policy_locked pool_signing_undelivered preflight_required pricing_guard_tripped principal_required protocol_unsupported quota_exceeded rate_limited refund_not_eligible section_not_deliverable session_archived signature_invalid stream_backpressure token_expired tts_not_configured tts_quota_exceeded unauthorized upstream_connect_timeout upstream_disconnected upstream_error upstream_idle_timeout upstream_outcome_unknown upstream_timeout upstream_total_timeout upstream_ttfb_timeout validation_failed videogen_not_configured videogen_quota_exceeded websearch_not_configured websearch_quota_exceeded
message
required
string
requestId
required
string
detail
object
Example
{
"error": {
"code": "adjudicator_not_authorized"
}
}